Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular 3D Circular Charts provide a graphical representation of data in three dimensions, with each slice’s size indicating its proportion relative to the entire dataset. Unlike traditional 2D charts, 3D charts add depth to the visualization, allowing a better understanding of data patterns.

Overview for Angular 3D Circular Charts.


Why choose Syncfusion Essential Studio® Angular 3D Circular Charts?

Angular interactive 3D Circular Charts.

Interactive 3D Circular Charts

The tooltip cursor allows users to interact with the chart and obtain detailed information about data points.

Angular 3D Circular Charts admirable feature set.

Admirable feature set

The 3D Circular Charts support legends, data labels, rotation, tilt, selection, and highlights.

Angular 3D Circular Charts adapt to any resolution.

Adapts to any resolution

The 3D Circular Charts have a highly responsive layout and an optimized design for desktops, touchscreens, and phones. It works well on all mobile phones that use iOS, Android, or Windows OS.

Angular 3D Circular Charts customizable themes.

Attractive, customizable themes

Cutting-edge design with several built-in themes, such as Material 3, Fluent, Tailwind CSS, Bootstrap, Material, and Fabric.

Angular 3D Circular Charts global and local.

Globalization and localization

Users from different locales can use the component to format dates, currency, and numbering to suit their preferences.

Angular 3D Circular Charts elegant animation.

Elegant animation

The 3D Circular Charts for Angular provide fluid animation to present data with smooth transitions.


Angular 3D Circular Charts Code Example

Easily get started with the Angular 3D Circular Charts using a few simple lines of HTML and TS code as demonstrated below. Also, explore our Angular 3D Circular Charts example that shows you how to render and configure 3D Circular Charts in Angular.

  1. <div>
  2. <ejs-circularchart3d id='container'>
  3. <e-circularchart3d-series-collection>
  4. <e-circularchart3d-series [dataSource]='data' xName='x' yName='y'>
  5. </e-circularchart3d-series>
  6. </e-circularchart3d-series-collection>
  7. </ejs-circularchart3d>
  8. </div>
  1. import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
  2. import { CircularChart3DAllModule } from '@syncfusion/ej2-charts';
  3. import { Browser } from '@syncfusion/ej2-base';
  4.  
  5. @Component({
  6. selector: 'control-content',
  7. encapsulation: ViewEncapsulation.None,
  8. imports: [CircularChart3DAllModule]
  9. })
  10.  
  11. export class 3dchart {
  12. public dataSource: Object[] = [
  13. { x: 'Tesla', y: 13 },{ x: 'Aion', y: 8 },
  14. { x: 'Wuling', y: 7 }, { x: 'Changan', y: 5 },
  15. { x: 'Geely', y: 4 }, { x: 'Nio', y: 3 },
  16. { x: 'Neta', y: 22 }, { x: 'BMW', y: 18 }];
  17. constructor() {
  18. // code
  19. };
  20. }

Series types

The 3D Circular Charts can plot other chart types, including pie and donut charts.

Series types in Angular 3D Circular Charts.


Legend in Angular 3D Circular Charts.

Legend

The 3D Circular Charts support legends to provide additional information about data points with customization options.


Tooltip

The 3D Circular Charts provide options to display tooltips with details about pointer values on mouse hover.

Tooltip in Angular 3D Circular Charts.


Selection Angular 3D Circular Charts.

Selection and highlight

Select or highlight data points in a series for easy understanding of the selected data. Adding patterns and colors to the selected data makes charts more interactive.


Export 3D Circular Charts to PDF documents or image formats such as PNG and JPEG on the client side. Print the rendered 3D Circular Charts directly from the browser.

Print and export in Angular 3D Circular Charts.


Datalabels in Angular 3D Circular Charts.

Data labels

The 3D Circular Charts support data labels to annotate points to improve the readability of data.


Customization

Customize the color of data points and depth of the 3D Circular Charts using built-in APIs.

Customization in Angular 3D Circular Charts.


Intractive 3D Circular Charts in Angular.

Interactive chart

The end-user experience is greatly enhanced by including a set of interactive features such as rotation, tilt, selection, and highlight.


Accessibility

Keyboard navigation in Angular 3D Circular Charts.

Keyboard navigation

Every element in the 3D Circular Charts is keyboard accessible. Major features like tooltips, legends, selection, and highlights can be used with keyboard commands alone. No mouse interaction is required. This helps in creating highly accessible applications.

Accessibility and screen reader support in Angular 3D Circular Charts.

Screen reader

The 3D Circular Charts view has complete WAI-ARIA accessibility support. The 3D Circular Chart’s UI includes high-contrast visual elements that help visually impaired people to have the best viewing experience. Also, valid UI descriptions are easily accessible through assistive technologies such as screen readers.

Show right-to-left languages in Angular 3D Circular Charts.

Right to left (RTL)

Right-to-left rendering allows displaying the text and layout of 3D Circular Charts from right to left. This improves the user experience and accessibility for RTL languages.

90+ ANGULAR UI COMPONENTS

Frequently Asked Questions

The Angular 3D Circular Charts with a rich set of features offers the following:

  • Visualize and analyze 3D data with Pie and Donut Charts.
  • One of the best Angular 3D Circular Charts in the market that offers a feature-rich UI to interact with the software.
  • Simple configuration and APIs.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with Angular 3D Circular Charts.

We do not sell the Angular 3D Circular Charts separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Angular 3D Circular Charts. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Angular 3D Circular Charts demo, which demonstrates how to render and configure 3D Circular Charts.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Angular 3D Circular Charts, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their 3D Circular Charts component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React 3D Circular Charts provides a graphical representation of data in three dimensions, with each slice’s size indicating its proportion relative to the entire dataset. Unlike traditional 2D charts, 3D charts add depth to the visualization, allowing a better understanding of data patterns.

Overview for React 3D Circular Charts.


Why choose Syncfusion Essential Studio® React 3D Circular Charts?

React interactive 3D Circular Charts.

Interactive 3D Circular Charts

The tooltip cursor allows users to interact with the chart and obtain detailed information about data points.

React 3D Circular Charts admirable feature set.

Admirable feature set

The 3D Circular Charts supports legends, data labels, rotation, tilt, selection, and highlights.

React 3D Circular Charts adapts to any resolution.

Adapts to any resolution

The 3D Circular Charts have a highly responsive layout and an optimized design for desktops, touchscreens, and phones. It works well on all mobile phones that use iOS, Android, or Windows OS.

React 3D Circular Charts customizable themes.

Attractive, customizable themes

Cutting-edge design with several built-in themes, such as Material 3, Fluent, Tailwind CSS, Bootstrap, Material, and Fabric.

React 3D Circular Charts global and local.

Globalization and localization

Users from different locales can use the component to format dates, currency, and numbering to suit their preferences.

React 3D Circular Charts elegant animation.

Elegant animation

The 3D Circular Charts for React provide fluid animation to present data with smooth transitions.


React 3D Circular Charts Code Example

Easily get started with the React 3D Circular Charts using a few simple lines of TSX code as demonstrated below. Also, explore our React 3D Circular Chart example that shows you how to render and configure 3D Circular Charts in React.

  1. import * as React from "react";
  2. import * as ReactDOM from "react-dom";
  3. import { CircularChart3D, PieSeries3D} from'@syncfusion/ej2-react-charts';
  4. import { SampleBase } from '../common/sample-base';
  5. export class Default extends SampleBase<{}, {}> {
  6. public data: any = [{ x: 'Tesla', y: 13 },{ x: 'Aion', y: 8 }, { x: 'Wuling', y: 17 }, { x: 'Changan', y: 25 }, { x: 'Geely', y: 17 }, { x: 'Nio', y: 15 }, { x: 'Neta', y: 22 }, { x: 'BMW', y: 18 } ];
  7. render() {
  8. return (
  9. <div>
  10. <CircularChart3DComponent id='container'>
  11. <Inject services={[CircularChart3D, PieSeries3D]}/>
  12. <CircularChart3DSeriesCollectionDirective>
  13. <CircularChart3DSeriesDirective dataSource={this.data} xName='x' yName='y'>
  14. </CircularChart3DSeriesDirective>
  15. </CircularChart3DSeriesCollectionDirective>
  16. </CircularChart3DComponent>
  17. </div>
  18. )
  19. }
  20. }

Series types

The 3D Circular Charts can plot other chart types, including pie and donut charts.

Series types in React 3D Circular Charts.


Legend in React 3D Circular Charts.

Legend

The 3D Circular Charts support legends to provide additional information about data points with customization options.


Tooltip

The 3D Circular Charts provide options to display tooltips with details about pointer values on mouse hover.

Tooltip in React 3D Circular Charts.


Selection React 3D Circular Charts.

Selection and highlight

Select or highlight data points in a series for easy understanding of the selected data. Adding patterns and colors to the selected data makes charts more interactive.


Export 3D Circular Charts to PDF documents or to image formats such as PNG and JPEG on the client side. Print the rendered 3D Circular Charts directly from the browser.

Print and export in React 3D Circular Charts.


Datalabels in React 3D Circular Charts.

Data labels

The 3D Circular Charts support data labels to annotate points to improve the readability of data.


Customization

Customize the color of data points and depth of the 3D Circular Charts using built-in APIs.

Customization in React 3D Circular Charts.


Intractive 3D Circular Charts in React.

Interactive chart

The end-user experience is greatly enhanced by including a set of interactive features such as rotation, tilt, selection, and highlight.


Accessibility

Keyboard navigation in React 3D Circular Charts.

Keyboard navigation

Every element in the 3D Circular Charts is keyboard accessible. Major features like tooltips, legends, selection, and highlights can be used with keyboard commands alone. No mouse interaction is required. This helps in creating highly accessible applications.

Accessibility and screen reader support in React 3D Circular Charts.

Screen reader

The 3D Circular Charts view has complete WAI-ARIA accessibility support. The 3D Circular Chart’s UI includes high-contrast visual elements that help visually impaired people to have the best viewing experience. Also, valid UI descriptions are easily accessible through assistive technologies such as screen readers.

Show right-to-left languages in React 3D Circular Charts.

Right to left (RTL)

Right-to-left rendering allows displaying the text and layout of 3D Circular Charts from right to left. This improves the user experience and accessibility for RTL languages.

90+ REACT UI COMPONENTS

Frequently Asked Questions

The React 3D Circular Charts with a rich set of features offers the following:

  • Visualize and analyze 3D data with Pie and Donut Charts.
  • One of the best React 3D Circular Charts in the market that offers a feature-rich UI to interact with the software.
  • Simple configuration and APIs.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with React 3D Circular Charts.

We do not sell the React 3D Circular Charts separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the React 3D Circular Charts. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our React 3D Circular Charts demo, which demonstrates how to render and configure 3D Circular Charts.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our React 3D Circular Charts, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their 3D Circular Charts component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us